Skip to main content
Monitoring & Collection/Monitoring Query & Overview
GETMonitoringSince 1.0SynchronousAuth Required

GetHealthTrend

Get historical health score trend data for a platform

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • platformUuidStringRequired

    UUID of the platform to retrieve health trend for

Query Parameters

  • durationString

    Duration of the trend window (e.g. 24h, 7d) Duration of the trend window (e.g. 24h, 7d)

Responses

200 OK

On success, this API returns the following response structure.

  • itemsList

    Collection of result items

    Example: (nested array)

    • timestampString

      Timestamp for this resource

      Example: 2026-01-15T08:00:00Z

    • scoreLong

      Health score value at this trend point

      Example: 97.2

    • gradeString

      Health grade at this trend point

      Example: A

Endpoint

GET/api/v1/monitoring/platform/{platformUuid}/health-trend

/api/v1/monitoring/platform/{platformUuid}/health-trend

Operation ID

GetHealthTrend

Permalink

Request Example

curl -X GET '{host}/api/v1/monitoring/platform/{platformUuid}/health-trend' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "items": [
    {}
  ]
}

Change History

This API has no change history records yet.

View all change history